de.esprit.netsuite.server.auth

## Class AbstractDatabaseGroup

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.DBRecordContainer<R>
      - - de.esprit.appsuite.database.dbase.DBRecordWrapper
        - - de.esprit.netsuite.server.auth.AbstractDatabaseGroup

- All Implemented Interfaces:
    DBPersistent, DBRecord, Renderable, DeepCloneable, Dumpable, Group, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable
  Direct Known Subclasses:
    DBGroup

      public abstract class AbstractDatabaseGroup
      extends DBRecordWrapper
      implements Group

  This is a basic implementation of a database user. This class just implements the Renderable interface for a user.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.auth.Group

      `COMMENT, GID, GROUP_NAME, groupsDocType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDatabaseGroup(DBObject dbo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractDatabaseGroup` | `copy()` Returns a deep clone of this object
    `boolean` | `equals(java.lang.Object o)` Must compare based on unique groupName
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBRecordWrapper

      `clone, compareTo, copyRecordValues, dbDelete, dbInsert, dbLoad, dbLoad, dbRehash, dbSearch, dbSearch, dbSearch, dbSearch, dbSelect, dbSelect, dbUpdate, exists, existsField, getFieldCount, getFieldFullNames, getFieldIcon, getFieldLength, getFieldNames, getForeignKeyRef, getJavaType, getJdbcType, getManagedDBObjects, getMasterRecord, getPrimaryKeyCount, getPrimaryKeyValues, getRecordName, getTranslationAppKey, getValue, hasPrimaryKey, isDirty, isFieldVirtual, isForeignKey, isNotNullField, isPrimaryKey, setPrimaryKeyValues`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBRecordContainer

      `getRecord, hashCode, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.server.auth.Group

      `getComment, getGID, getGroupName, setComment, setGID, setGroupName`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### AbstractDatabaseGroup

          public AbstractDatabaseGroup(DBObject dbo)

  - ### Method Detail

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`
      Overrides:
        `getRenderIcon` in class `DBRecordWrapper`

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`
      Overrides:
        `getRenderColor` in class `DBRecordWrapper`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `DBRecordWrapper`

    - #### copy

          public AbstractDatabaseGroup copy()

      Description copied from interface: `DeepCloneable`
      Returns a deep clone of this object
      Specified by:
        `copy` in interface `DeepCloneable`
      Specified by:
        `copy` in interface `Group`
      Overrides:
        `copy` in class `DBRecordWrapper`

    - #### equals

          public boolean equals(java.lang.Object o)

      Must compare based on unique groupName
      Overrides:
        `equals` in class `DBRecordContainer`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.